Anonymous Login Frama-C issues should now be submitted on Frama-C's GitLab
2021-03-06 01:54 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000723Frama-CGraphical User Interfacepublic2014-02-12 16:59
Reporterpascal 
Assigned Tosignoles 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Nitrogen-20111001 
Summary0000723: r11920: Analyses -> Show callgraph requires a main function
DescriptionLaunch the GUI on a C file without a main():
bin/viewer.opt tests/idct/idct.c

Select Analyses -> Show callgraph

Result:
[kernel] preprocessing with "gcc -C -E -I. tests/idct/idct.c"
[cg] beginning analysis
[gui] user error: cannot find entry point `main'.
                  Please use option `-main' for specifying a valid entry point.

Considering that the syntactic callgraph is most useful to find which function is the entry point, this is annoying.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0004831

signoles (manager)

Fix committed to stable/neon branch.
+Notes

-Issue History
Date Modified Username Field Change
2011-02-15 17:02 pascal New Issue
2011-02-15 17:02 pascal Status new => assigned
2011-02-15 17:02 pascal Assigned To => monate
2011-02-15 18:29 signoles Assigned To monate => signoles
2011-02-18 11:21 svn
2011-02-18 11:21 svn Status assigned => resolved
2011-02-18 11:21 svn Resolution open => fixed
2011-10-10 14:13 signoles Fixed in Version => Frama-C Nitrogen-20111001
2011-10-10 14:14 signoles Status resolved => closed
2013-12-19 01:12 signoles Source_changeset_attached => framac master f7959301
2014-02-12 16:54 signoles Source_changeset_attached => framac stable/neon f7959301
2014-02-12 16:59 signoles Note Added: 0004831
2014-02-12 16:59 signoles Status closed => resolved
+Issue History